=== debian/changelog ===
golang-github-docker-goamz (0.0~git20160206.0.f0a21f5-3) unstable; urgency=medium

  * Team upload.
  * drop incorrect test-fixture-locations.patch
  * add fix-TestPutAllZeroSizeFile.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 16 Feb 2018 22:01:43 +0100

golang-github-docker-goamz (0.0~git20160206.0.f0a21f5-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 17:10:18 +0300

golang-github-docker-goamz (0.0~git20160206.0.f0a21f5-1) unstable; urgency=medium

  * Initial release (Closes: #853788)

 -- Tim Potter <tpot@hpe.com>  Tue, 01 Nov 2016 16:27:40 +1100
