=== debian/control ===
Source: golang-github-docker-goamz
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.31),
               golang-any,
               golang-github-bitly-go-simplejson-dev,
               golang-github-cbroglie-mapstructure-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 3.9.8
Homepage: https://github.com/docker/goamz
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-goamz.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-goamz.git
XS-Go-Import-Path: github.com/docker/goamz

Package: golang-github-docker-goamz-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-bitly-go-simplejson-dev,
         golang-github-cbroglie-mapstructure-dev
Description: Enable Go programs to interact with Amazon Web Services
 The goamz package enables Go programs to interact with the Amazon Web
 Services including AWS, EC2, S3, ELB, SQS and SNS.
 .
 It was developed within Canonical as part of an experiment related to
 using the Go language with the juju project, but is now a set of
 generally adopted and maintained Go packages that talk to several
 Amazon Web Services.
 .
 This package is a fork of the GOAMZ version developed within
 Canonical with additional functionality and services, including
 DynamoDB.
